Bug 146247 - [patch] japanese/font-mplus: fix plist and non-LOCALBASE installation
Summary: [patch] japanese/font-mplus: fix plist and non-LOCALBASE installation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-02 18:20 UTC by swell.k
Modified: 2011-01-04 08:10 UTC (History)
0 users

See Also:


Attachments
a.diff (2.41 KB, patch)
2010-05-02 18:20 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-05-02 18:20:19 UTC
- don't writing outside PREFIX, it breaks `make install PREFIX=/blah'
- remove exec/unexec nonsense, it confuses `pkg_info -W file'
Comment 1 Edwin Groothuis freebsd_committer 2010-05-02 18:20:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2010-09-11 19:25:49 UTC
Responsible Changed
From-To: hrs->pgollucci

committer & maintainer timeout (hrs ; 132 days) / last commit: 20100829 
(13 days ago)
Comment 3 Philip M. Gollucci freebsd_committer 2010-09-14 03:56:26 UTC
State Changed
From-To: open->feedback

Request feedback patch no longer applies can you resubmit?
Comment 4 swell.k 2010-09-16 07:19:37 UTC
(Oops, forgot to CC bug-followup@)

pgollucci@FreeBSD.org writes:

> Request feedback patch no longer applies can you resubmit?

The changes are mechanical and affect almost every japanese/font-*
maintained by hrs@. Example of the steps I used to test plist:

  $ export PREFIX=$HOME/aaa PKG_DBDIR=$HOME/pkg
  $ mkdir -p $PREFIX/etc/fonts/conf.{d,avail} # [1]
  $ cd japanese/font-ipa-uigothic
  $ make {re,de}install
  ===>   Deinstalling ja-font-ipa-uigothic-00203
  pkg_delete: file '/home/holo/aaa/share/fonts/TTF/ipagui.ttf' doesn't exist
  pkg_delete: file '/home/holo/aaa/lib/X11/fonts/TTF/ipagui.ttf' doesn't exist
  /home/holo/aaa/lib/X11/fonts/TTF: skipping, no such directory
  /var/db/fontconfig: cleaning cache directory
  /usr/local/bin/fc-cache: succeeded
  pkg_delete: couldn't entirely delete package (perhaps the packing list is incorrectly specified?)
  cd: can't cd to /home/holo/aaa/lib/X11/fonts/TTF
  ./+DEINSTALL: cannot open fonts.dir: No such file or directory
  pkg_delete: post-deinstall script returned error status
  $ mtree -f $(make -V MTREE_FILE) -p $PREFIX
  ...

[1] better temporary add it to MTREE_FILE to keep tinderbox sane

--- a.diff begins here ---
Index: japanese/font-ipa-uigothic/Makefile
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-ipa-uigothic/Makefile,v
retrieving revision 1.2
diff -u -p -r1.2 Makefile
--- japanese/font-ipa-uigothic/Makefile	5 Jun 2009 01:05:27 -0000	1.2
+++ japanese/font-ipa-uigothic/Makefile	16 Sep 2010 04:49:54 -0000
@@ -39,11 +39,11 @@ do-install:
 	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/TTF
 	${LN} -s -f \
 		${DATADIR}/ipagui.ttf \
-		${LOCALBASE}/${LOCAL_FONTSDIR}/TTF/
-	${MKDIR} ${LOCALBASE}/${X_FONTSDIR}/TTF
+		${PREFIX}/${LOCAL_FONTSDIR}/TTF/
+	${MKDIR} ${PREFIX}/${X_FONTSDIR}/TTF
 	${LN} -s -f \
 		${DATADIR}/ipagui.ttf \
-		${LOCALBASE}/${X_FONTSDIR}/TTF/
+		${PREFIX}/${X_FONTSDIR}/TTF/
 	${INSTALL_DATA} ${FILESDIR}/20-unhint-ipa-uigothic.conf \
 		${FILESDIR}/62-fonts-ipa-uigothic.conf \
 		${PREFIX}/etc/fonts/conf.avail
@@ -57,7 +57,7 @@ do-install:
 .endif
 
 post-install:
-	${LOCALBASE}/bin/fc-cache -f -v ${LOCALBASE}/${X_FONTSDIR}/TTF
+	${LOCALBASE}/bin/fc-cache -f -v ${PREFIX}/${X_FONTSDIR}/TTF
 	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
 .include <bsd.port.mk>
Index: japanese/font-ipa-uigothic/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-ipa-uigothic/pkg-plist,v
retrieving revision 1.1
diff -u -p -r1.1 pkg-plist
--- japanese/font-ipa-uigothic/pkg-plist	3 Jun 2009 06:58:39 -0000	1.1
+++ japanese/font-ipa-uigothic/pkg-plist	16 Sep 2010 04:51:16 -0000
@@ -6,10 +6,8 @@
 @dirrmtry %%LOCAL_FONTSDIR%%
 etc/fonts/conf.avail/20-unhint-ipa-uigothic.conf
 etc/fonts/conf.avail/62-fonts-ipa-uigothic.conf
-@exec ln -s -f ../conf.avail/20-unhint-ipa-uigothic.conf %D/etc/fonts/conf.d/20-unhint-ipa-uigothic.conf
-@exec ln -s -f ../conf.avail/62-fonts-ipa-uigothic.conf %D/etc/fonts/conf.d/62-fonts-ipa-uigothic.conf
-@unexec rm -f %D/etc/fonts/conf.d/20-unhint-ipa-uigothic.conf
-@unexec rm -f %D/etc/fonts/conf.d/62-fonts-ipa-uigothic.conf
+etc/fonts/conf.d/20-unhint-ipa-uigothic.conf
+etc/fonts/conf.d/62-fonts-ipa-uigothic.conf
 %%X_FONTSDIR%%/TTF/ipagui.ttf
 @exec %%LOCALBASE%%/bin/fc-cache -s -f -v %D/%%X_FONTSDIR%%/TTF || true
 @unexec %%LOCALBASE%%/bin/fc-cache -s -f -v %D/%%X_FONTSDIR%%/TTF || true
Index: japanese/font-ipa/Makefile
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-ipa/Makefile,v
retrieving revision 1.23
diff -u -p -r1.23 Makefile
--- japanese/font-ipa/Makefile	2 Mar 2010 04:50:41 -0000	1.23
+++ japanese/font-ipa/Makefile	6 May 2010 23:27:51 -0000
@@ -40,11 +40,11 @@ do-install:
 	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/OTF
 	${LN} -s -f \
 		${DATADIR}/ipa*.otf \
-		${LOCALBASE}/${LOCAL_FONTSDIR}/OTF/
-	${MKDIR} ${LOCALBASE}/${X_FONTSDIR}/OTF
+		${PREFIX}/${LOCAL_FONTSDIR}/OTF/
+	${MKDIR} ${PREFIX}/${X_FONTSDIR}/OTF
 	${LN} -s -f \
 		${DATADIR}/ipa*.otf \
-		${LOCALBASE}/${X_FONTSDIR}/OTF/
+		${PREFIX}/${X_FONTSDIR}/OTF/
 	${INSTALL_DATA} ${FILESDIR}/20-unhint-ipa.conf \
 		${FILESDIR}/62-fonts-ipa.conf \
 		${PREFIX}/etc/fonts/conf.avail
@@ -58,7 +58,7 @@ do-install:
 .endif
 
 post-install:
-	${LOCALBASE}/bin/fc-cache -f -v ${LOCALBASE}/${X_FONTSDIR}/OTF
+	${LOCALBASE}/bin/fc-cache -f -v ${PREFIX}/${X_FONTSDIR}/OTF
 	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
 .include <bsd.port.mk>
Index: japanese/font-ipa/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-ipa/pkg-plist,v
retrieving revision 1.13
diff -u -p -r1.13 pkg-plist
--- japanese/font-ipa/pkg-plist	31 May 2009 15:41:37 -0000	1.13
+++ japanese/font-ipa/pkg-plist	28 May 2010 06:38:09 -0000
@@ -12,10 +12,8 @@
 @dirrmtry %%LOCAL_FONTSDIR%%
 etc/fonts/conf.avail/20-unhint-ipa.conf
 etc/fonts/conf.avail/62-fonts-ipa.conf
-@exec ln -s -f ../conf.avail/20-unhint-ipa.conf %D/etc/fonts/conf.d/20-unhint-ipa.conf
-@exec ln -s -f ../conf.avail/62-fonts-ipa.conf %D/etc/fonts/conf.d/62-fonts-ipa.conf
-@unexec rm -f %D/etc/fonts/conf.d/20-unhint-ipa.conf
-@unexec rm -f %D/etc/fonts/conf.d/62-fonts-ipa.conf
+etc/fonts/conf.d/20-unhint-ipa.conf
+etc/fonts/conf.d/62-fonts-ipa.conf
 %%X_FONTSDIR%%/OTF/ipag.otf
 %%X_FONTSDIR%%/OTF/ipagp.otf
 %%X_FONTSDIR%%/OTF/ipam.otf
Index: japanese/font-ipaex/Makefile
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-ipaex/Makefile,v
retrieving revision 1.1
diff -u -p -r1.1 Makefile
--- japanese/font-ipaex/Makefile	2 Mar 2010 04:58:08 -0000	1.1
+++ japanese/font-ipaex/Makefile	16 Sep 2010 05:13:44 -0000
@@ -38,11 +38,11 @@ do-install:
 	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/OTF
 	${LN} -s -f \
 		${DATADIR}/ipaex*.otf \
-		${LOCALBASE}/${LOCAL_FONTSDIR}/OTF/
-	${MKDIR} ${LOCALBASE}/${X_FONTSDIR}/OTF
+		${PREFIX}/${LOCAL_FONTSDIR}/OTF/
+	${MKDIR} ${PREFIX}/${X_FONTSDIR}/OTF
 	${LN} -s -f \
 		${DATADIR}/ipaex*.otf \
-		${LOCALBASE}/${X_FONTSDIR}/OTF/
+		${PREFIX}/${X_FONTSDIR}/OTF/
 	${INSTALL_DATA} ${FILESDIR}/20-unhint-ipaex.conf \
 		${FILESDIR}/62-fonts-ipaex.conf \
 		${PREFIX}/etc/fonts/conf.avail
@@ -56,7 +56,7 @@ do-install:
 .endif
 
 post-install:
-	${LOCALBASE}/bin/fc-cache -f -v ${LOCALBASE}/${X_FONTSDIR}/OTF
+	${LOCALBASE}/bin/fc-cache -f -v ${PREFIX}/${X_FONTSDIR}/OTF
 	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
 .include <bsd.port.mk>
Index: japanese/font-ipaex/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-ipaex/pkg-plist,v
retrieving revision 1.1
diff -u -p -r1.1 pkg-plist
--- japanese/font-ipaex/pkg-plist	2 Mar 2010 04:58:08 -0000	1.1
+++ japanese/font-ipaex/pkg-plist	16 Sep 2010 05:14:03 -0000
@@ -8,10 +8,8 @@
 @dirrmtry %%LOCAL_FONTSDIR%%
 etc/fonts/conf.avail/20-unhint-ipaex.conf
 etc/fonts/conf.avail/62-fonts-ipaex.conf
-@exec ln -s -f ../conf.avail/20-unhint-ipaex.conf %D/etc/fonts/conf.d/20-unhint-ipaex.conf
-@exec ln -s -f ../conf.avail/62-fonts-ipaex.conf %D/etc/fonts/conf.d/62-fonts-ipaex.conf
-@unexec rm -f %D/etc/fonts/conf.d/20-unhint-ipaex.conf
-@unexec rm -f %D/etc/fonts/conf.d/62-fonts-ipaex.conf
+etc/fonts/conf.d/20-unhint-ipaex.conf
+etc/fonts/conf.d/62-fonts-ipaex.conf
 %%X_FONTSDIR%%/OTF/ipaexg.otf
 %%X_FONTSDIR%%/OTF/ipaexm.otf
 @exec %%LOCALBASE%%/bin/fc-cache -s -f -v %D/%%X_FONTSDIR%%/OTF || true
Index: japanese/font-kochi/Makefile
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-kochi/Makefile,v
retrieving revision 1.23
diff -u -p -r1.23 Makefile
--- japanese/font-kochi/Makefile	31 May 2009 09:15:42 -0000	1.23
+++ japanese/font-kochi/Makefile	16 Sep 2010 05:43:51 -0000
@@ -36,12 +36,12 @@ PORTDOCS=	README.ja COPYING docs
 do-install:
 	${MKDIR} ${DATADIR}
 	${INSTALL_DATA} ${WRKSRC}/*.ttf ${DATADIR}
-	${MKDIR} ${LOCALBASE}/${LOCAL_FONTSDIR}/TTF/
+	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/TTF/
 	${LN} -s -f \
-		${DATADIR}/*.ttf ${LOCALBASE}/${LOCAL_FONTSDIR}/TTF/
-	${MKDIR} ${LOCALBASE}/${X_FONTSDIR}/TTF
+		${DATADIR}/*.ttf ${PREFIX}/${LOCAL_FONTSDIR}/TTF/
+	${MKDIR} ${PREFIX}/${X_FONTSDIR}/TTF
 	${LN} -s -f \
-		${DATADIR}/*.ttf ${LOCALBASE}/${X_FONTSDIR}/TTF/
+		${DATADIR}/*.ttf ${PREFIX}/${X_FONTSDIR}/TTF/
 	${INSTALL_DATA} ${FILESDIR}/20-unhint-kochi.conf \
 		${FILESDIR}/62-fonts-kochi.conf \
 		${PREFIX}/etc/fonts/conf.avail
@@ -55,7 +55,7 @@ do-install:
 .endif
 
 post-install:
-	${LOCALBASE}/bin/fc-cache -s -f -v ${LOCALBASE}/${X_FONTSDIR}/TTF
+	${LOCALBASE}/bin/fc-cache -s -f -v ${PREFIX}/${X_FONTSDIR}/TTF
 	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
 .include <bsd.port.mk>
Index: japanese/font-kochi/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-kochi/pkg-plist,v
retrieving revision 1.9
diff -u -p -r1.9 pkg-plist
--- japanese/font-kochi/pkg-plist	31 May 2009 09:15:42 -0000	1.9
+++ japanese/font-kochi/pkg-plist	16 Sep 2010 05:44:21 -0000
@@ -8,10 +8,8 @@
 @dirrmtry %%LOCAL_FONTSDIR%%
 etc/fonts/conf.avail/20-unhint-kochi.conf
 etc/fonts/conf.avail/62-fonts-kochi.conf
-@exec ln -s -f ../conf.avail/20-unhint-kochi.conf %D/etc/fonts/conf.d/20-unhint-kochi.conf
-@exec ln -s -f ../conf.avail/62-fonts-kochi.conf %D/etc/fonts/conf.d/62-fonts-kochi.conf
-@unexec rm -f %D/etc/fonts/conf.d/20-unhint-kochi.conf
-@unexec rm -f %D/etc/fonts/conf.d/62-fonts-kochi.conf
+etc/fonts/conf.d/20-unhint-kochi.conf
+etc/fonts/conf.d/62-fonts-kochi.conf
 %%X_FONTSDIR%%/TTF/kochi-mincho-subst.ttf
 %%X_FONTSDIR%%/TTF/kochi-gothic-subst.ttf
 @exec %%LOCALBASE%%/bin/fc-cache -s -f -v %D/%%X_FONTSDIR%%/TTF || true
Index: japanese/font-migmix/Makefile
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-migmix/Makefile,v
retrieving revision 1.1
diff -u -p -r1.1 Makefile
--- japanese/font-migmix/Makefile	31 Jul 2010 18:34:32 -0000	1.1
+++ japanese/font-migmix/Makefile	16 Sep 2010 05:47:09 -0000
@@ -44,10 +44,10 @@ do-install:
 		${DATADIR}
 	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/TTF
 	${LN} -s -f ${DATADIR}/MigMix*.ttf \
-		${LOCALBASE}/${LOCAL_FONTSDIR}/TTF/
-	${MKDIR} ${LOCALBASE}/${X_FONTSDIR}/TTF
+		${PREFIX}/${LOCAL_FONTSDIR}/TTF/
+	${MKDIR} ${PREFIX}/${X_FONTSDIR}/TTF
 	${LN} -s -f ${DATADIR}/MigMix*.ttf \
-		${LOCALBASE}/${X_FONTSDIR}/TTF/
+		${PREFIX}/${X_FONTSDIR}/TTF/
 	${INSTALL_DATA} ${FILESDIR}/20-unhint-migmix.conf \
 		${FILESDIR}/62-fonts-migmix.conf \
 		${PREFIX}/etc/fonts/conf.avail
@@ -61,7 +61,7 @@ do-install:
 .endif
 
 post-install:
-	${LOCALBASE}/bin/fc-cache -s -f -v ${LOCALBASE}/${X_FONTSDIR}/TTF
+	${LOCALBASE}/bin/fc-cache -s -f -v ${PREFIX}/${X_FONTSDIR}/TTF
 	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
 .include <bsd.port.mk>
Index: japanese/font-migmix/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-migmix/pkg-plist,v
retrieving revision 1.1
diff -u -p -r1.1 pkg-plist
--- japanese/font-migmix/pkg-plist	31 Jul 2010 18:34:32 -0000	1.1
+++ japanese/font-migmix/pkg-plist	16 Sep 2010 05:46:50 -0000
@@ -20,10 +20,8 @@
 @dirrmtry %%LOCAL_FONTSDIR%%
 etc/fonts/conf.avail/20-unhint-migmix.conf
 etc/fonts/conf.avail/62-fonts-migmix.conf
-@exec ln -s -f ../conf.avail/20-unhint-migmix.conf %D/etc/fonts/conf.d/20-unhint-migmix.conf
-@exec ln -s -f ../conf.avail/62-fonts-migmix.conf %D/etc/fonts/conf.d/62-fonts-migmix.conf
-@unexec rm -f %D/etc/fonts/conf.d/20-unhint-migmix.conf
-@unexec rm -f %D/etc/fonts/conf.d/62-fonts-migmix.conf
+etc/fonts/conf.d/20-unhint-migmix.conf
+etc/fonts/conf.d/62-fonts-migmix.conf
 %%X_FONTSDIR%%/TTF/MigMix-1M-Bold.ttf
 %%X_FONTSDIR%%/TTF/MigMix-1M-Regular.ttf
 %%X_FONTSDIR%%/TTF/MigMix-1P-Bold.ttf
Index: japanese/font-mona-ipa/Makefile
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-mona-ipa/Makefile,v
retrieving revision 1.2
diff -u -p -r1.2 Makefile
--- japanese/font-mona-ipa/Makefile	6 Dec 2009 15:32:14 -0000	1.2
+++ japanese/font-mona-ipa/Makefile	16 Sep 2010 05:49:53 -0000
@@ -38,11 +38,11 @@ do-install:
 	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/TTF/
 	${LN} -s -f \
 		${DATADIR}/fonts/ipa*-mona.ttf \
-		${LOCALBASE}/${LOCAL_FONTSDIR}/TTF/
-	${MKDIR} ${LOCALBASE}/${X_FONTSDIR}/TTF
+		${PREFIX}/${LOCAL_FONTSDIR}/TTF/
+	${MKDIR} ${PREFIX}/${X_FONTSDIR}/TTF
 	${LN} -s -f \
 		${DATADIR}/fonts/ipa*-mona.ttf \
-		${LOCALBASE}/${X_FONTSDIR}/TTF/
+		${PREFIX}/${X_FONTSDIR}/TTF/
 	${INSTALL_DATA} ${FILESDIR}/20-unhint-mona-ipa.conf \
 		${FILESDIR}/62-fonts-mona-ipa.conf \
 		${PREFIX}/etc/fonts/conf.avail
@@ -56,7 +56,7 @@ do-install:
 .endif
 
 post-install:
-	${LOCALBASE}/bin/fc-cache -f -v ${LOCALBASE}/${X_FONTSDIR}/TTF
+	${LOCALBASE}/bin/fc-cache -f -v ${PREFIX}/${X_FONTSDIR}/TTF
 	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
 .include <bsd.port.mk>
Index: japanese/font-mona-ipa/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-mona-ipa/pkg-plist,v
retrieving revision 1.1
diff -u -p -r1.1 pkg-plist
--- japanese/font-mona-ipa/pkg-plist	29 Nov 2009 17:53:18 -0000	1.1
+++ japanese/font-mona-ipa/pkg-plist	16 Sep 2010 05:50:13 -0000
@@ -95,10 +95,8 @@
 @dirrmtry %%LOCAL_FONTSDIR%%
 etc/fonts/conf.avail/20-unhint-mona-ipa.conf
 etc/fonts/conf.avail/62-fonts-mona-ipa.conf
-@exec ln -s -f ../conf.avail/20-unhint-mona-ipa.conf %D/etc/fonts/conf.d/20-unhint-mona-ipa.conf
-@exec ln -s -f ../conf.avail/62-fonts-mona-ipa.conf %D/etc/fonts/conf.d/62-fonts-mona-ipa.conf
-@unexec rm -f %D/etc/fonts/conf.d/20-unhint-mona-ipa.conf
-@unexec rm -f %D/etc/fonts/conf.d/62-fonts-mona-ipa.conf
+etc/fonts/conf.d/20-unhint-mona-ipa.conf
+etc/fonts/conf.d/62-fonts-mona-ipa.conf
 %%X_FONTSDIR%%/TTF/ipag-mona.ttf
 %%X_FONTSDIR%%/TTF/ipagp-mona.ttf
 %%X_FONTSDIR%%/TTF/ipagui-mona.ttf
Index: japanese/font-mplus-ipa/Makefile
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-mplus-ipa/Makefile,v
retrieving revision 1.20
diff -u -p -r1.20 Makefile
--- japanese/font-mplus-ipa/Makefile	5 Jun 2009 01:05:27 -0000	1.20
+++ japanese/font-mplus-ipa/Makefile	16 Sep 2010 05:52:58 -0000
@@ -41,10 +41,10 @@ do-install:
 		${DATADIR}
 	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/TTF
 	${LN} -s -f ${DATADIR}/fonts/M+*.ttf \
-		${LOCALBASE}/${LOCAL_FONTSDIR}/TTF/
-	${MKDIR} ${LOCALBASE}/${X_FONTSDIR}/TTF
+		${PREFIX}/${LOCAL_FONTSDIR}/TTF/
+	${MKDIR} ${PREFIX}/${X_FONTSDIR}/TTF
 	${LN} -s -f ${DATADIR}/fonts/M+*.ttf \
-			${LOCALBASE}/${X_FONTSDIR}/TTF/
+			${PREFIX}/${X_FONTSDIR}/TTF/
 	${INSTALL_DATA} ${FILESDIR}/20-unhint-mplus-ipa.conf \
 		${FILESDIR}/62-fonts-mplus-ipa.conf \
 		${PREFIX}/etc/fonts/conf.avail
@@ -58,7 +58,7 @@ do-install:
 .endif
 
 post-install:
-	${LOCALBASE}/bin/fc-cache -s -f -v ${LOCALBASE}/${X_FONTSDIR}/TTF
+	${LOCALBASE}/bin/fc-cache -s -f -v ${PREFIX}/${X_FONTSDIR}/TTF
 	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
 .include <bsd.port.mk>
Index: japanese/font-mplus-ipa/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-mplus-ipa/pkg-plist,v
retrieving revision 1.13
diff -u -p -r1.13 pkg-plist
--- japanese/font-mplus-ipa/pkg-plist	3 Jun 2009 07:03:01 -0000	1.13
+++ japanese/font-mplus-ipa/pkg-plist	16 Sep 2010 05:53:32 -0000
@@ -78,10 +78,8 @@
 @dirrmtry %%LOCAL_FONTSDIR%%
 etc/fonts/conf.avail/20-unhint-mplus-ipa.conf
 etc/fonts/conf.avail/62-fonts-mplus-ipa.conf
-@exec ln -s -f ../conf.avail/20-unhint-mplus-ipa.conf %D/etc/fonts/conf.d/20-unhint-mplus-ipa.conf
-@exec ln -s -f ../conf.avail/62-fonts-mplus-ipa.conf %D/etc/fonts/conf.d/62-fonts-mplus-ipa.conf
-@unexec rm -f %D/etc/fonts/conf.d/20-unhint-mplus-ipa.conf
-@unexec rm -f %D/etc/fonts/conf.d/62-fonts-mplus-ipa.conf
+etc/fonts/conf.d/20-unhint-mplus-ipa.conf
+etc/fonts/conf.d/62-fonts-mplus-ipa.conf
 %%X_FONTSDIR%%/TTF/M+2VM+IPAG-circle.ttf
 %%X_FONTSDIR%%/TTF/M+2P+IPAG.ttf
 %%X_FONTSDIR%%/TTF/M+2P+IPAG-circle.ttf
Index: japanese/font-mplus/Makefile
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-mplus/Makefile,v
retrieving revision 1.26
diff -u -p -r1.26 Makefile
--- japanese/font-mplus/Makefile	31 Jul 2010 17:32:19 -0000	1.26
+++ japanese/font-mplus/Makefile	2 Aug 2010 11:34:45 -0000
@@ -55,16 +55,16 @@ do-install-bitmap:
 		${SH} ${WRKDIR}/mplus_bitmap_fonts-2.2.4/install_mplus_fonts
 	${INSTALL_DATA} ${WRKDIR}/fonts.alias ${DATADIR}/bitmap
 	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/mplus
-	${LN} -s -f ${DATADIR}/bitmap/*.pcf.gz ${LOCALBASE}/${LOCAL_FONTSDIR}/mplus/
+	${LN} -s -f ${DATADIR}/bitmap/*.pcf.gz ${PREFIX}/${LOCAL_FONTSDIR}/mplus/
 	${MKDIR} ${PREFIX}/${X_FONTSDIR}/misc
-	${LN} -s -f ${DATADIR}/bitmap/*.pcf.gz ${LOCALBASE}/${X_FONTSDIR}/misc/
+	${LN} -s -f ${DATADIR}/bitmap/*.pcf.gz ${PREFIX}/${X_FONTSDIR}/misc/
 
 do-install-outline:
 	${INSTALL_DATA} ${WRKDIR}/mplus-TESTFLIGHT-031/*.ttf ${DATADIR}/TTF
 	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/TTF
-	${LN} -s -f ${DATADIR}/TTF/*.ttf ${LOCALBASE}/${LOCAL_FONTSDIR}/TTF/
-	${MKDIR} ${LOCALBASE}/${X_FONTSDIR}/TTF
-	${LN} -s -f ${DATADIR}/TTF/*.ttf ${LOCALBASE}/${X_FONTSDIR}/TTF/
+	${LN} -s -f ${DATADIR}/TTF/*.ttf ${PREFIX}/${LOCAL_FONTSDIR}/TTF/
+	${MKDIR} ${PREFIX}/${X_FONTSDIR}/TTF
+	${LN} -s -f ${DATADIR}/TTF/*.ttf ${PREFIX}/${X_FONTSDIR}/TTF/
 	${INSTALL_DATA} ${FILESDIR}/20-unhint-mplus.conf \
 		${FILESDIR}/62-fonts-mplus.conf \
 		${PREFIX}/etc/fonts/conf.avail
Index: japanese/font-mplus/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-mplus/pkg-plist,v
retrieving revision 1.7
diff -u -p -r1.7 pkg-plist
--- japanese/font-mplus/pkg-plist	31 May 2009 09:15:42 -0000	1.7
+++ japanese/font-mplus/pkg-plist	2 May 2010 16:57:28 -0000
@@ -170,10 +170,8 @@
 @dirrmtry %%LOCAL_FONTSDIR%%
 etc/fonts/conf.avail/20-unhint-mplus.conf
 etc/fonts/conf.avail/62-fonts-mplus.conf
-@exec ln -s -f ../conf.avail/20-unhint-mplus.conf %D/etc/fonts/conf.d/20-unhint-mplust.conf
-@exec ln -s -f ../conf.avail/62-fonts-mplus.conf %D/etc/fonts/conf.d/62-fonts-mplus.conf
-@unexec rm -f %D/etc/fonts/conf.d/20-unhint-mplus.conf
-@unexec rm -f %D/etc/fonts/conf.d/62-fonts-mplus.conf
+etc/fonts/conf.d/20-unhint-mplus.conf
+etc/fonts/conf.d/62-fonts-mplus.conf
 %%X_FONTSDIR%%/misc/mplus_f10b-euro.pcf.gz
 %%X_FONTSDIR%%/misc/mplus_f10b.pcf.gz
 %%X_FONTSDIR%%/misc/mplus_f10r-euro.pcf.gz
Index: japanese/font-sazanami/Makefile
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-sazanami/Makefile,v
retrieving revision 1.12
diff -u -p -r1.12 Makefile
--- japanese/font-sazanami/Makefile	31 May 2009 09:15:42 -0000	1.12
+++ japanese/font-sazanami/Makefile	16 Sep 2010 05:55:04 -0000
@@ -34,12 +34,12 @@ X_FONTSDIR=	lib/X11/fonts
 do-install:
 	${MKDIR} ${DATADIR}
 	${INSTALL_DATA} ${WRKSRC}/*.ttf ${DATADIR}
-	${MKDIR} ${LOCALBASE}/${LOCAL_FONTSDIR}/TTF
+	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/TTF
 	${LN} -s -f \
-		${DATADIR}/*.ttf ${LOCALBASE}/${LOCAL_FONTSDIR}/TTF/
-	${MKDIR} ${LOCALBASE}/${X_FONTSDIR}/TTF
+		${DATADIR}/*.ttf ${PREFIX}/${LOCAL_FONTSDIR}/TTF/
+	${MKDIR} ${PREFIX}/${X_FONTSDIR}/TTF
 	${LN} -s -f \
-		${DATADIR}/*.ttf ${LOCALBASE}/${X_FONTSDIR}/TTF/
+		${DATADIR}/*.ttf ${PREFIX}/${X_FONTSDIR}/TTF/
 	${INSTALL_DATA} ${FILESDIR}/20-unhint-sazanami.conf \
 		${FILESDIR}/62-fonts-sazanami.conf \
 		${PREFIX}/etc/fonts/conf.avail
@@ -53,7 +53,7 @@ do-install:
 .endif
 
 post-install:
-	${LOCALBASE}/bin/fc-cache -s -f -v ${LOCALBASE}/${X_FONTSDIR}/TTF
+	${LOCALBASE}/bin/fc-cache -s -f -v ${PREFIX}/${X_FONTSDIR}/TTF
 	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
 .include <bsd.port.mk>
Index: japanese/font-sazanami/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-sazanami/pkg-plist,v
retrieving revision 1.10
diff -u -p -r1.10 pkg-plist
--- japanese/font-sazanami/pkg-plist	31 May 2009 16:34:46 -0000	1.10
+++ japanese/font-sazanami/pkg-plist	16 Sep 2010 05:55:28 -0000
@@ -8,10 +8,8 @@
 @dirrmtry %%LOCAL_FONTSDIR%%
 etc/fonts/conf.avail/20-unhint-sazanami.conf
 etc/fonts/conf.avail/62-fonts-sazanami.conf
-@exec ln -s -f ../conf.avail/20-unhint-sazanami.conf %D/etc/fonts/conf.d/20-unhint-sazanami.conf
-@exec ln -s -f ../conf.avail/62-fonts-sazanami.conf %D/etc/fonts/conf.d/62-fonts-sazanami.conf
-@unexec rm -f %D/etc/fonts/conf.d/20-unhint-sazanami.conf
-@unexec rm -f %D/etc/fonts/conf.d/62-fonts-sazanami.conf
+etc/fonts/conf.d/20-unhint-sazanami.conf
+etc/fonts/conf.d/62-fonts-sazanami.conf
 %%X_FONTSDIR%%/TTF/sazanami-mincho.ttf
 %%X_FONTSDIR%%/TTF/sazanami-gothic.ttf
 @exec %%LOCALBASE%%/bin/fc-cache -s -f -v %D/%%X_FONTSDIR%%/TTF || true
Index: japanese/font-shinonome/Makefile
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-shinonome/Makefile,v
retrieving revision 1.19
diff -u -p -r1.19 Makefile
--- japanese/font-shinonome/Makefile	31 May 2009 13:03:27 -0000	1.19
+++ japanese/font-shinonome/Makefile	16 Sep 2010 05:56:27 -0000
@@ -65,9 +65,9 @@ do-install:
 	${MKDIR} ${DATADIR}
 	cd ${WRKSRC} && ${INSTALL_DATA} ${FONTNAMES:C/$/.pcf.gz/} fonts.alias ${DATADIR}
 	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/shinonome
-	${LN} -s -f ${DATADIR}/*.pcf.gz ${LOCALBASE}/${LOCAL_FONTSDIR}/shinonome/
+	${LN} -s -f ${DATADIR}/*.pcf.gz ${PREFIX}/${LOCAL_FONTSDIR}/shinonome/
 	${MKDIR} ${PREFIX}/${X_FONTSDIR}/misc
-	${LN} -s -f ${DATADIR}/*.pcf.gz ${LOCALBASE}/${X_FONTSDIR}/misc/
+	${LN} -s -f ${DATADIR}/*.pcf.gz ${PREFIX}/${X_FONTSDIR}/misc/
 
 post-install:
 	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
Index: japanese/font-takao/Makefile
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-takao/Makefile,v
retrieving revision 1.2
diff -u -p -r1.2 Makefile
--- japanese/font-takao/Makefile	7 Mar 2010 16:53:52 -0000	1.2
+++ japanese/font-takao/Makefile	16 Sep 2010 05:58:59 -0000
@@ -39,11 +39,11 @@ do-install:
 	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/OTF
 	${LN} -s -f \
 		${DATADIR}/Takao*.otf \
-		${LOCALBASE}/${LOCAL_FONTSDIR}/OTF/
-	${MKDIR} ${LOCALBASE}/${X_FONTSDIR}/OTF
+		${PREFIX}/${LOCAL_FONTSDIR}/OTF/
+	${MKDIR} ${PREFIX}/${X_FONTSDIR}/OTF
 	${LN} -s -f \
 		${DATADIR}/Takao*.otf \
-		${LOCALBASE}/${X_FONTSDIR}/OTF/
+		${PREFIX}/${X_FONTSDIR}/OTF/
 	${INSTALL_DATA} ${FILESDIR}/20-unhint-takao.conf \
 		${FILESDIR}/62-fonts-takao.conf \
 		${PREFIX}/etc/fonts/conf.avail
@@ -57,7 +57,7 @@ do-install:
 .endif
 
 post-install:
-	${LOCALBASE}/bin/fc-cache -f -v ${LOCALBASE}/${X_FONTSDIR}/OTF
+	${LOCALBASE}/bin/fc-cache -f -v ${PREFIX}/${X_FONTSDIR}/OTF
 	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
 .include <bsd.port.mk>
Index: japanese/font-takao/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-takao/pkg-plist,v
retrieving revision 1.2
diff -u -p -r1.2 pkg-plist
--- japanese/font-takao/pkg-plist	7 Mar 2010 16:53:52 -0000	1.2
+++ japanese/font-takao/pkg-plist	16 Sep 2010 05:59:15 -0000
@@ -16,10 +16,8 @@
 @dirrmtry %%LOCAL_FONTSDIR%%
 etc/fonts/conf.avail/20-unhint-takao.conf
 etc/fonts/conf.avail/62-fonts-takao.conf
-@exec ln -s -f ../conf.avail/20-unhint-ipa.conf %D/etc/fonts/conf.d/20-unhint-takao.conf
-@exec ln -s -f ../conf.avail/62-fonts-ipa.conf %D/etc/fonts/conf.d/62-fonts-takao.conf
-@unexec rm -f %D/etc/fonts/conf.d/20-unhint-takao.conf
-@unexec rm -f %D/etc/fonts/conf.d/62-fonts-takao.conf
+etc/fonts/conf.d/20-unhint-takao.conf
+etc/fonts/conf.d/62-fonts-takao.conf
 %%X_FONTSDIR%%/OTF/TakaoGothic.otf
 %%X_FONTSDIR%%/OTF/TakaoPGothic.otf
 %%X_FONTSDIR%%/OTF/TakaoExGothic.otf
Index: japanese/font-ume/Makefile
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-ume/Makefile,v
retrieving revision 1.13
diff -u -p -r1.13 Makefile
--- japanese/font-ume/Makefile	31 Jul 2010 18:43:14 -0000	1.13
+++ japanese/font-ume/Makefile	16 Sep 2010 06:00:53 -0000
@@ -34,12 +34,12 @@ X_FONTSDIR=	lib/X11/fonts
 do-install:
 	${MKDIR} ${DATADIR}
 	${INSTALL_DATA} ${WRKSRC}/*.ttf ${DATADIR}
-	${MKDIR} ${LOCALBASE}/${LOCAL_FONTSDIR}/TTF
+	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/TTF
 	${LN} -s -f \
-		${DATADIR}/*.ttf ${LOCALBASE}/${LOCAL_FONTSDIR}/TTF/
-	${MKDIR} ${LOCALBASE}/${X_FONTSDIR}/TTF
+		${DATADIR}/*.ttf ${PREFIX}/${LOCAL_FONTSDIR}/TTF/
+	${MKDIR} ${PREFIX}/${X_FONTSDIR}/TTF
 	${LN} -s -f \
-		${DATADIR}/*.ttf ${LOCALBASE}/${X_FONTSDIR}/TTF/
+		${DATADIR}/*.ttf ${PREFIX}/${X_FONTSDIR}/TTF/
 	${INSTALL_DATA} ${FILESDIR}/20-unhint-ume.conf \
 		${FILESDIR}/62-fonts-ume.conf \
 		${PREFIX}/etc/fonts/conf.avail
@@ -53,7 +53,7 @@ do-install:
 .endif
 
 post-install:
-	${LOCALBASE}/bin/fc-cache -s -f -v ${LOCALBASE}/${X_FONTSDIR}/TTF
+	${LOCALBASE}/bin/fc-cache -s -f -v ${PREFIX}/${X_FONTSDIR}/TTF
 	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
 .include <bsd.port.mk>
Index: japanese/font-ume/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-ume/pkg-plist,v
retrieving revision 1.5
diff -u -p -r1.5 pkg-plist
--- japanese/font-ume/pkg-plist	27 Dec 2009 13:51:24 -0000	1.5
+++ japanese/font-ume/pkg-plist	16 Sep 2010 06:01:07 -0000
@@ -40,10 +40,8 @@
 @dirrmtry %%LOCAL_FONTSDIR%%
 etc/fonts/conf.avail/20-unhint-ume.conf
 etc/fonts/conf.avail/62-fonts-ume.conf
-@exec ln -s -f ../conf.avail/20-unhint-ume.conf %D/etc/fonts/conf.d/20-unhint-ume.conf
-@exec ln -s -f ../conf.avail/62-fonts-ume.conf %D/etc/fonts/conf.d/62-fonts-ume.conf
-@unexec rm -f %D/etc/fonts/conf.d/20-unhint-ume.conf
-@unexec rm -f %D/etc/fonts/conf.d/62-fonts-ume.conf
+etc/fonts/conf.d/20-unhint-ume.conf
+etc/fonts/conf.d/62-fonts-ume.conf
 %%X_FONTSDIR%%/TTF/ume-pgc4.ttf
 %%X_FONTSDIR%%/TTF/ume-pgc5.ttf
 %%X_FONTSDIR%%/TTF/ume-pgo4.ttf
Index: japanese/font-vlgothic/Makefile
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-vlgothic/Makefile,v
retrieving revision 1.27
diff -u -p -r1.27 Makefile
--- japanese/font-vlgothic/Makefile	25 Apr 2010 13:55:46 -0000	1.27
+++ japanese/font-vlgothic/Makefile	16 Sep 2010 06:02:35 -0000
@@ -37,10 +37,10 @@ do-install:
 	${INSTALL_DATA} ${WRKSRC}/*.ttf ${DATADIR}
 	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/TTF
 	${LN} -s -f ${DATADIR}/*.ttf \
-		${LOCALBASE}/${LOCAL_FONTSDIR}/TTF/
-	${MKDIR} ${LOCALBASE}/${X_FONTSDIR}/TTF
+		${PREFIX}/${LOCAL_FONTSDIR}/TTF/
+	${MKDIR} ${PREFIX}/${X_FONTSDIR}/TTF
 	${LN} -s -f ${DATADIR}/*.ttf \
-		${LOCALBASE}/${X_FONTSDIR}/TTF/
+		${PREFIX}/${X_FONTSDIR}/TTF/
 	${INSTALL_DATA} ${FILESDIR}/20-unhint-vlgothic.conf \
 		${FILESDIR}/62-fonts-vlgothic.conf \
 		${PREFIX}/etc/fonts/conf.avail
@@ -54,7 +54,7 @@ do-install:
 .endif
 
 post-install:
-	${LOCALBASE}/bin/fc-cache -s -f -v ${LOCALBASE}/${X_FONTSDIR}/TTF
+	${LOCALBASE}/bin/fc-cache -s -f -v ${PREFIX}/${X_FONTSDIR}/TTF
 	${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 
 .include <bsd.port.mk>
Index: japanese/font-vlgothic/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-vlgothic/pkg-plist,v
retrieving revision 1.6
diff -u -p -r1.6 pkg-plist
--- japanese/font-vlgothic/pkg-plist	31 May 2009 09:15:43 -0000	1.6
+++ japanese/font-vlgothic/pkg-plist	16 Sep 2010 06:02:49 -0000
@@ -8,10 +8,8 @@
 @dirrmtry %%LOCAL_FONTSDIR%%
 etc/fonts/conf.avail/20-unhint-vlgothic.conf
 etc/fonts/conf.avail/62-fonts-vlgothic.conf
-@exec ln -s -f ../conf.avail/20-unhint-vlgothic.conf %D/etc/fonts/conf.d/20-unhint-vlgothic.conf
-@exec ln -s -f ../conf.avail/62-fonts-vlgothic.conf %D/etc/fonts/conf.d/62-fonts-vlgothic.conf
-@unexec rm -f %D/etc/fonts/conf.d/20-unhint-vlgothic.conf
-@unexec rm -f %D/etc/fonts/conf.d/62-fonts-vlgothic.conf
+etc/fonts/conf.d/20-unhint-vlgothic.conf
+etc/fonts/conf.d/62-fonts-vlgothic.conf
 %%X_FONTSDIR%%/TTF/VL-PGothic-Regular.ttf
 %%X_FONTSDIR%%/TTF/VL-Gothic-Regular.ttf
 @exec %%LOCALBASE%%/bin/fc-cache -s -f -v %D/%%X_FONTSDIR%%/TTF || true
--- a.diff ends here ---
Comment 5 Philip M. Gollucci freebsd_committer 2010-09-16 20:35:03 UTC
Responsible Changed
From-To: pgollucci->hrs

hrs wants his prs
Comment 6 swell.k 2010-09-18 04:58:17 UTC
Anonymous <swell.k@gmail.com> writes:

>   $ mkdir -p $PREFIX/etc/fonts/conf.{d,avail} # [1]
[...]
>
> [1] better temporary add it to MTREE_FILE to keep tinderbox sane

If ports/150691 is gonna be rejected I can add mkdir + @dirrmtry for the
ports affected in this PR.
Comment 7 dfilter service freebsd_committer 2010-09-30 20:40:22 UTC
hrs         2010-09-30 19:40:16 UTC

  FreeBSD ports repository

  Modified files:
    japanese/font-ipa    Makefile pkg-plist 
    japanese/font-ipa-uigothic Makefile pkg-plist 
    japanese/font-ipaex  Makefile pkg-plist 
    japanese/font-kochi  Makefile pkg-plist 
    japanese/font-mona-ipa Makefile pkg-plist 
    japanese/font-mplus  Makefile pkg-plist 
    japanese/font-mplus-ipa Makefile pkg-plist 
    japanese/font-sazanami Makefile pkg-plist 
    japanese/font-shinonome Makefile 
    japanese/font-takao  Makefile pkg-plist 
  Log:
  Fix PREFIX/LOCALBASE confusion.
  
  PR:     ports/146247
  
  Revision  Changes    Path
  1.3       +4 -4      ports/japanese/font-ipa-uigothic/Makefile
  1.2       +3 -5      ports/japanese/font-ipa-uigothic/pkg-plist
  1.24      +4 -4      ports/japanese/font-ipa/Makefile
  1.14      +3 -5      ports/japanese/font-ipa/pkg-plist
  1.2       +4 -4      ports/japanese/font-ipaex/Makefile
  1.2       +3 -5      ports/japanese/font-ipaex/pkg-plist
  1.24      +5 -5      ports/japanese/font-kochi/Makefile
  1.10      +3 -5      ports/japanese/font-kochi/pkg-plist
  1.3       +4 -4      ports/japanese/font-mona-ipa/Makefile
  1.2       +3 -5      ports/japanese/font-mona-ipa/pkg-plist
  1.21      +4 -4      ports/japanese/font-mplus-ipa/Makefile
  1.14      +3 -5      ports/japanese/font-mplus-ipa/pkg-plist
  1.27      +5 -5      ports/japanese/font-mplus/Makefile
  1.8       +3 -5      ports/japanese/font-mplus/pkg-plist
  1.13      +5 -5      ports/japanese/font-sazanami/Makefile
  1.11      +3 -5      ports/japanese/font-sazanami/pkg-plist
  1.20      +2 -2      ports/japanese/font-shinonome/Makefile
  1.3       +4 -4      ports/japanese/font-takao/Makefile
  1.3       +3 -5      ports/japanese/font-takao/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Hiroki Sato freebsd_committer 2010-09-30 20:40:32 UTC
State Changed
From-To: feedback->closed

Committed.  Thank you for your patch.  If you notice something wrong again, 
please let me know.
Comment 9 swell.k 2010-12-04 16:16:33 UTC
Can you give a reason why below ports weren't fixed?

  font-migmix
  font-ume
  font-vlgothic

I'm certain they were in my last diff.

  $ diffstat a.diff
  [...]
   font-migmix/Makefile        |    8 ++++----
   font-migmix/pkg-plist       |    6 ++----
  [...]
   font-ume/Makefile           |   10 +++++-----
   font-ume/pkg-plist          |    6 ++----
   font-vlgothic/Makefile      |    8 ++++----
   font-vlgothic/pkg-plist     |    6 ++----
   25 files changed, 78 insertions(+), 102 deletions(-)
Comment 10 dfilter service freebsd_committer 2010-12-08 06:39:24 UTC
hrs         2010-12-08 06:39:19 UTC

  FreeBSD ports repository

  Modified files:
    japanese/font-ume    Makefile pkg-plist 
    japanese/font-vlgothic Makefile pkg-plist 
    japanese/font-migmix Makefile pkg-plist 
  Log:
  Fix PREFIX/LOCALBASE confusion.
  
  PR:     ports/146247
  
  Revision  Changes    Path
  1.2       +3 -3      ports/japanese/font-migmix/Makefile
  1.2       +3 -5      ports/japanese/font-migmix/pkg-plist
  1.15      +5 -5      ports/japanese/font-ume/Makefile
  1.6       +3 -5      ports/japanese/font-ume/pkg-plist
  1.28      +4 -4      ports/japanese/font-vlgothic/Makefile
  1.7       +3 -5      ports/japanese/font-vlgothic/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 swell.k 2010-12-10 18:26:12 UTC
Hmm, do you apply diffs by hand?

  $ cvs up japanese/font-*
  C japanese/font-migmix/Makefile

--- a.diff begins here ---
Index: japanese/font-migmix/Makefile
===================================================================
RCS file: /a/.cvsup/ports/japanese/font-migmix/Makefile,v
retrieving revision 1.2
diff -u -p -r1.2 Makefile
--- japanese/font-migmix/Makefile	8 Dec 2010 06:39:19 -0000	1.2
+++ japanese/font-migmix/Makefile	10 Dec 2010 18:14:51 -0000
@@ -44,7 +44,7 @@ do-install:
 		${DATADIR}
 	${MKDIR} ${PREFIX}/${LOCAL_FONTSDIR}/TTF
 	${LN} -s -f ${DATADIR}/MigMix*.ttf \
-		${LOCALBASE}/${LOCAL_FONTSDIR}/TTF/
+		${PREFIX}/${LOCAL_FONTSDIR}/TTF/
 	${MKDIR} ${PREFIX}/${X_FONTSDIR}/TTF
 	${LN} -s -f ${DATADIR}/MigMix*.ttf \
 		${PREFIX}/${X_FONTSDIR}/TTF/
--- a.diff ends here ---
Comment 12 dfilter service freebsd_committer 2011-01-04 08:08:11 UTC
hrs         2011-01-04 08:08:07 UTC

  FreeBSD ports repository

  Modified files:
    japanese/font-migmix Makefile 
  Log:
  Fix LOCALBASE/PREFIX confusion forgotten in the previous commit.
  
  PR:     ports/146247
  Pointy hat to:  hrs
  
  Revision  Changes    Path
  1.3       +1 -1      ports/japanese/font-migmix/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"